<?php
add_action( 'after_setup_theme', 'restaurante_setup' );
function restaurante_setup()
{
load_theme_textdomain( 'restaurante', get_template_directory() . '/languages' );
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'post-thumbnails' );
global $content_width;
if ( ! isset( $content_width ) ) $content_width = 640;
register_nav_menus(
array( 'main-menu' => __( 'Main Menu', 'restaurante' ) )
);
}
add_action( 'wp_enqueue_scripts', 'restaurante_load_scripts' );
function restaurante_load_scripts()
{
wp_enqueue_script( 'jquery' );
}
add_action( 'comment_form_before', 'restaurante_enqueue_comment_reply_script' );
function restaurante_enqueue_comment_reply_script()
{
if ( get_option( 'thread_comments' ) ) { wp_enqueue_script( 'comment-reply' ); }
}
add_filter( 'the_title', 'restaurante_title' );
function restaurante_title( $title ) {
if ( $title == '' ) {
return '&rarr;';
} else {
return $title;
}
}
add_filter( 'wp_title', 'restaurante_filter_wp_title' );
function restaurante_filter_wp_title( $title )
{
return $title . esc_attr( get_bloginfo( 'name' ) );
}
add_action( 'widgets_init', 'restaurante_widgets_init' );
function restaurante_widgets_init()
{
register_sidebar( array(
'name' => 'New Entrees',
'id' => 'front-section-1',
'description' => 'Appears in frontpage',
'before_widget' => '<aside id="%1$s" class="widget %2$s">',
'after_widget' => '</aside>',
'before_title' => '<h1 class="widget-title">',
'after_title' => '</h1>',
) );
register_sidebar( array(
'name' => 'Reviews',
'id' => 'front-reviews',
'description' => 'Appears in frontpage',
'before_widget' => '<aside id="%1$s" class="widget %2$s">',
'after_widget' => '</aside>',
'before_title' => '<h2 class="widget-title">',
'after_title' => '</h2>',
) );
register_sidebar( array (
'name' => __( 'Sidebar Widget Area', 'restaurante' ),
'id' => 'primary-widget-area',
'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
'after_widget' => "</li>",
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );
register_sidebar( array(
'name' => 'Footer Section-1',
'id' => 'footer-section-1',
'description' => 'Appears in footer',
'before_widget' => '<aside id="%1$s" class="widget %2$s">',
'after_widget' => '</aside>',
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );
register_sidebar( array(
'name' => 'Footer Section-2',
'id' => 'footer-section-2',
'description' => 'Appears in footer',
'before_widget' => '<aside id="%1$s" class="widget %2$s">',
'after_widget' => '</aside>',
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );
register_sidebar( array(
'name' => 'Footer Section-3',
'id' => 'footer-section-3',
'description' => 'Appears in footer',
'before_widget' => '<aside id="%1$s" class="widget %2$s">',
'after_widget' => '</aside>',
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );
register_sidebar( array(
'name' => 'Footer Section-4',
'id' => 'footer-section-4',
'description' => 'Appears in frontpage',
'before_widget' => '<aside id="%1$s" class="widget %2$s">',
'after_widget' => '</aside>',
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );
register_sidebar( array(
'name' => 'Footer Social Media',
'id' => 'footer-social',
'description' => 'Appears in footer',
'before_widget' => '<aside id="%1$s" class="widget %2$s">',
'after_widget' => '</aside>',
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );
}
function restaurante_custom_pings( $comment )
{
$GLOBALS['comment'] = $comment;
?>
<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>"><?php echo comment_author_link(); ?></li>
<?php 
}
add_filter( 'get_comments_number', 'restaurante_comments_number' );
function restaurante_comments_number( $count )
{
if ( !is_admin() ) {
global $id;
$comments_by_type = &separate_comments( get_comments( 'status=approve&post_id=' . $id ) );
return count( $comments_by_type['comment'] );
} else {
return $count;
}
}
 // Create Entree
    add_action( 'init', 'create_post_type' );
    function create_post_type() {
            $args = array(
            'labels' => post_type_labels( 'Entree' ),
            'public' => true,
            'publicly_queryable' => true,
            'show_ui' => true,
            'show_in_menu' => true,
            'query_var' => true,
            'rewrite' => true,
            'capability_type' => 'post',
            'has_archive' => true,
            'hierarchical' => false,
            'menu_position' => null,
            'supports' => array('title',
                'editor',
                'author',
                'thumbnail',
                'excerpt',
                'custom-fields',
                'comments'
            )
        );
     
            register_post_type( 'entree', $args );
    }
    function post_type_labels( $singular, $plural = '' )
    {
        if( $plural == '') $plural = $singular .'s';
       
        return array(
            'name' => _x( $plural, 'post type general name' ),
            'singular_name' => _x( $singular, 'post type singular name' ),
            'add_new' => __( 'Add New' ),
            'add_new_item' => __( 'Add New '. $singular ),
            'edit_item' => __( 'Edit '. $singular ),
            'new_item' => __( 'New '. $singular ),
            'view_item' => __( 'View '. $singular ),
            'search_items' => __( 'Search '. $plural ),
            'not_found' =>  __( 'No '. $plural .' found' ),
            'not_found_in_trash' => __( 'No '. $plural .' found in Trash' ),
            'parent_item_colon' => ''
        );
    }
    add_filter('post_updated_messages', 'post_type_updated_messages');
    function post_type_updated_messages( $messages ) {
            global $post, $post_ID;
     
            $messages['entree'] = array(
                    0 => '', // Unused. Messages start at index 1.
                    1 => sprintf( __('Menu Item updated. <a href="%s">View menu item/a>'), esc_url( get_permalink($post_ID) ) ),
                    2 => __('Custom field updated.'),
                    3 => __('Custom field deleted.'),
                    4 => __('Menu item updated.'),
                    /* translators: %s: date and time of the revision */
                    5 => isset($_GET['revision']) ? sprintf( __('Menu item restored to revision from %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
                    6 => sprintf( __('Menu item published. <a href="%s">View menu item</a>'), esc_url( get_permalink($post_ID) ) ),
                    7 => __('Menu item saved.'),
                    8 => sprintf( __('Menu item submitted. <a target="_blank" href="%s">Preview menu item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
                    9 => sprintf( __('Menu item scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview menu item</a>'),
                    // translators: Publish box date format, see php.net/date
                    date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
                    10 => sprintf( __('Menu item draft updated. <a target="_blank" href="%s">Preview menu item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
            );
     
            return $messages;
    }
// Create Appetizer
    add_action( 'init', 'create_post_type_two' );
    function create_post_type_two() {
            $args = array(
            'labels' => post_type_labels( 'Appetizer' ),
            'public' => true,
            'publicly_queryable' => true,
            'show_ui' => true,
            'show_in_menu' => true,
            'query_var' => true,
            'rewrite' => true,
            'capability_type' => 'post',
            'has_archive' => true,
            'hierarchical' => false,
            'menu_position' => null,
            'supports' => array('title',
                'editor',
                'author',
                'thumbnail',
                'excerpt',
                'custom-fields',
                'comments'
            )
        );
     
            register_post_type( 'appetizer', $args );
    }
    function post_type_labels_two( $singular, $plural = '' )
    {
        if( $plural == '') $plural = $singular .'s';
       
        return array(
            'name' => _x( $plural, 'post type general name' ),
            'singular_name' => _x( $singular, 'post type singular name' ),
            'add_new' => __( 'Add New' ),
            'add_new_item' => __( 'Add New '. $singular ),
            'edit_item' => __( 'Edit '. $singular ),
            'new_item' => __( 'New '. $singular ),
            'view_item' => __( 'View '. $singular ),
            'search_items' => __( 'Search '. $plural ),
            'not_found' =>  __( 'No '. $plural .' found' ),
            'not_found_in_trash' => __( 'No '. $plural .' found in Trash' ),
            'parent_item_colon' => ''
        );
    }
    add_filter('post_updated_messages', 'post_type_updated_messages');
    function post_type_updated_messages_two( $messages ) {
            global $post, $post_ID;
     
            $messages['appetizer'] = array(
                    0 => '', // Unused. Messages start at index 1.
                    1 => sprintf( __('Menu Item updated. <a href="%s">View menu item/a>'), esc_url( get_permalink($post_ID) ) ),
                    2 => __('Custom field updated.'),
                    3 => __('Custom field deleted.'),
                    4 => __('Menu item updated.'),
                    /* translators: %s: date and time of the revision */
                    5 => isset($_GET['revision']) ? sprintf( __('Menu item restored to revision from %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
                    6 => sprintf( __('Menu item published. <a href="%s">View menu item</a>'), esc_url( get_permalink($post_ID) ) ),
                    7 => __('Menu item saved.'),
                    8 => sprintf( __('Menu item submitted. <a target="_blank" href="%s">Preview menu item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
                    9 => sprintf( __('Menu item scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview menu item</a>'),
                    // translators: Publish box date format, see php.net/date
                    date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
                    10 => sprintf( __('Menu item draft updated. <a target="_blank" href="%s">Preview menu item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
            );
     
            return $messages;
    }
    // Create Drinks
    add_action( 'init', 'create_post_type_three' );
    function create_post_type_three() {
            $args = array(
            'labels' => post_type_labels( 'Drink' ),
            'public' => true,
            'publicly_queryable' => true,
            'show_ui' => true,
            'show_in_menu' => true,
            'query_var' => true,
            'rewrite' => true,
            'capability_type' => 'post',
            'has_archive' => true,
            'hierarchical' => false,
            'menu_position' => null,
            'supports' => array('title',
                'editor',
                'author',
                'thumbnail',
                'excerpt',
                'custom-fields',
                'comments'
            )
        );
     
            register_post_type( 'drink', $args );
    }
    function post_type_labels_three( $singular, $plural = '' )
    {
        if( $plural == '') $plural = $singular .'s';
       
        return array(
            'name' => _x( $plural, 'post type general name' ),
            'singular_name' => _x( $singular, 'post type singular name' ),
            'add_new' => __( 'Add New' ),
            'add_new_item' => __( 'Add New '. $singular ),
            'edit_item' => __( 'Edit '. $singular ),
            'new_item' => __( 'New '. $singular ),
            'view_item' => __( 'View '. $singular ),
            'search_items' => __( 'Search '. $plural ),
            'not_found' =>  __( 'No '. $plural .' found' ),
            'not_found_in_trash' => __( 'No '. $plural .' found in Trash' ),
            'parent_item_colon' => ''
        );
    }
    add_filter('post_updated_messages', 'post_type_updated_messages');
    function post_type_updated_messages_three( $messages ) {
            global $post, $post_ID;
     
            $messages['drink'] = array(
                    0 => '', // Unused. Messages start at index 1.
                    1 => sprintf( __('Menu Item updated. <a href="%s">View menu item/a>'), esc_url( get_permalink($post_ID) ) ),
                    2 => __('Custom field updated.'),
                    3 => __('Custom field deleted.'),
                    4 => __('Menu item updated.'),
                    /* translators: %s: date and time of the revision */
                    5 => isset($_GET['revision']) ? sprintf( __('Menu item restored to revision from %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
                    6 => sprintf( __('Menu item published. <a href="%s">View menu item</a>'), esc_url( get_permalink($post_ID) ) ),
                    7 => __('Menu item saved.'),
                    8 => sprintf( __('Menu item submitted. <a target="_blank" href="%s">Preview menu item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
                    9 => sprintf( __('Menu item scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview menu item</a>'),
                    // translators: Publish box date format, see php.net/date
                    date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
                    10 => sprintf( __('Menu item draft updated. <a target="_blank" href="%s">Preview menu item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
            );
     
            return $messages;
    }
  // Create Dessert
    add_action( 'init', 'create_post_type_five' );
    function create_post_type_five() {
            $args = array(
            'labels' => post_type_labels( 'Dessert' ),
            'public' => true,
            'publicly_queryable' => true,
            'show_ui' => true,
            'show_in_menu' => true,
            'query_var' => true,
            'rewrite' => true,
            'capability_type' => 'post',
            'has_archive' => true,
            'hierarchical' => false,
            'menu_position' => null,
            'supports' => array('title',
                'editor',
                'author',
                'thumbnail',
                'excerpt',
                'custom-fields',
                'comments'
            )
        );
     
            register_post_type( 'dessert', $args );
    }
    function post_type_labels_five( $singular, $plural = '' )
    {
        if( $plural == '') $plural = $singular .'s';
       
        return array(
            'name' => _x( $plural, 'post type general name' ),
            'singular_name' => _x( $singular, 'post type singular name' ),
            'add_new' => __( 'Add New' ),
            'add_new_item' => __( 'Add New '. $singular ),
            'edit_item' => __( 'Edit '. $singular ),
            'new_item' => __( 'New '. $singular ),
            'view_item' => __( 'View '. $singular ),
            'search_items' => __( 'Search '. $plural ),
            'not_found' =>  __( 'No '. $plural .' found' ),
            'not_found_in_trash' => __( 'No '. $plural .' found in Trash' ),
            'parent_item_colon' => ''
        );
    }
    add_filter('post_updated_messages', 'post_type_updated_messages');
    function post_type_updated_messages_five( $messages ) {
            global $post, $post_ID;
     
            $messages['dessert'] = array(
                    0 => '', // Unused. Messages start at index 1.
                    1 => sprintf( __('Menu Item updated. <a href="%s">View menu item/a>'), esc_url( get_permalink($post_ID) ) ),
                    2 => __('Custom field updated.'),
                    3 => __('Custom field deleted.'),
                    4 => __('Menu item updated.'),
                    /* translators: %s: date and time of the revision */
                    5 => isset($_GET['revision']) ? sprintf( __('Menu item restored to revision from %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
                    6 => sprintf( __('Menu item published. <a href="%s">View menu item</a>'), esc_url( get_permalink($post_ID) ) ),
                    7 => __('Menu item saved.'),
                    8 => sprintf( __('Menu item submitted. <a target="_blank" href="%s">Preview menu item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
                    9 => sprintf( __('Menu item scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview menu item</a>'),
                    // translators: Publish box date format, see php.net/date
                    date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
                    10 => sprintf( __('Menu item draft updated. <a target="_blank" href="%s">Preview menu item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
            );
     
            return $messages;
    }
     // Create Dessert
    add_action( 'init', 'create_post_type_eight' );
    function create_post_type_eight() {
            $args = array(
            'labels' => post_type_labels( 'Salad' ),
            'public' => true,
            'publicly_queryable' => true,
            'show_ui' => true,
            'show_in_menu' => true,
            'query_var' => true,
            'rewrite' => true,
            'capability_type' => 'post',
            'has_archive' => true,
            'hierarchical' => false,
            'menu_position' => null,
            'supports' => array('title',
                'editor',
                'author',
                'thumbnail',
                'excerpt',
                'custom-fields',
                'comments'
            )
        );
     
            register_post_type( 'salad', $args );
    }
    function post_type_labels_eight( $singular, $plural = '' )
    {
        if( $plural == '') $plural = $singular .'s';
       
        return array(
            'name' => _x( $plural, 'post type general name' ),
            'singular_name' => _x( $singular, 'post type singular name' ),
            'add_new' => __( 'Add New' ),
            'add_new_item' => __( 'Add New '. $singular ),
            'edit_item' => __( 'Edit '. $singular ),
            'new_item' => __( 'New '. $singular ),
            'view_item' => __( 'View '. $singular ),
            'search_items' => __( 'Search '. $plural ),
            'not_found' =>  __( 'No '. $plural .' found' ),
            'not_found_in_trash' => __( 'No '. $plural .' found in Trash' ),
            'parent_item_colon' => ''
        );
    }
    add_filter('post_updated_messages', 'post_type_updated_messages');
    function post_type_updated_messages_eight( $messages ) {
            global $post, $post_ID;
     
            $messages['salad'] = array(
                    0 => '', // Unused. Messages start at index 1.
                    1 => sprintf( __('Menu Item updated. <a href="%s">View menu item/a>'), esc_url( get_permalink($post_ID) ) ),
                    2 => __('Custom field updated.'),
                    3 => __('Custom field deleted.'),
                    4 => __('Menu item updated.'),
                    /* translators: %s: date and time of the revision */
                    5 => isset($_GET['revision']) ? sprintf( __('Menu item restored to revision from %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
                    6 => sprintf( __('Menu item published. <a href="%s">View menu item</a>'), esc_url( get_permalink($post_ID) ) ),
                    7 => __('Menu item saved.'),
                    8 => sprintf( __('Menu item submitted. <a target="_blank" href="%s">Preview menu item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
                    9 => sprintf( __('Menu item scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview menu item</a>'),
                    // translators: Publish box date format, see php.net/date
                    date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
                    10 => sprintf( __('Menu item draft updated. <a target="_blank" href="%s">Preview menu item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
            );
     
            return $messages;
    }
  // Create Staff
    add_action( 'init', 'create_post_type_six' );
    function create_post_type_six() {
            $args = array(
            'labels' => post_type_labels( 'Staff' ),
            'public' => true,
            'publicly_queryable' => true,
            'show_ui' => true,
            'show_in_menu' => true,
            'query_var' => true,
            'rewrite' => true,
            'capability_type' => 'post',
            'has_archive' => true,
            'hierarchical' => false,
            'menu_position' => null,
            'supports' => array('title',
                'editor',
                'author',
                'thumbnail',
                'excerpt',
                'custom-fields',
                'comments'
            )
        );
     
            register_post_type( 'staff', $args );
    }
    function post_type_labels_six( $singular, $plural = '' )
    {
        if( $plural == '') $plural = $singular .'s';
       
        return array(
            'name' => _x( $plural, 'post type general name' ),
            'singular_name' => _x( $singular, 'post type singular name' ),
            'add_new' => __( 'Add New' ),
            'add_new_item' => __( 'Add New '. $singular ),
            'edit_item' => __( 'Edit '. $singular ),
            'new_item' => __( 'New '. $singular ),
            'view_item' => __( 'View '. $singular ),
            'search_items' => __( 'Search '. $plural ),
            'not_found' =>  __( 'No '. $plural .' found' ),
            'not_found_in_trash' => __( 'No '. $plural .' found in Trash' ),
            'parent_item_colon' => ''
        );
    }
    add_filter('post_updated_messages', 'post_type_updated_messages');
    function post_type_updated_messages_six( $messages ) {
            global $post, $post_ID;
     
            $messages['staff'] = array(
                    0 => '', // Unused. Messages start at index 1.
                    1 => sprintf( __('Menu Item updated. <a href="%s">View menu item/a>'), esc_url( get_permalink($post_ID) ) ),
                    2 => __('Custom field updated.'),
                    3 => __('Custom field deleted.'),
                    4 => __('Menu item updated.'),
                    /* translators: %s: date and time of the revision */
                    5 => isset($_GET['revision']) ? sprintf( __('Menu item restored to revision from %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
                    6 => sprintf( __('Menu item published. <a href="%s">View menu item</a>'), esc_url( get_permalink($post_ID) ) ),
                    7 => __('Menu item saved.'),
                    8 => sprintf( __('Menu item submitted. <a target="_blank" href="%s">Preview menu item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
                    9 => sprintf( __('Menu item scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview menu item</a>'),
                    // translators: Publish box date format, see php.net/date
                    date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
                    10 => sprintf( __('Menu item draft updated. <a target="_blank" href="%s">Preview menu item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
            );
     
            return $messages;
    }
  // Create Review
    add_action( 'init', 'create_post_type_seven' );
    function create_post_type_seven() {
            $args = array(
            'labels' => post_type_labels( 'Review' ),
            'public' => true,
            'publicly_queryable' => true,
            'show_ui' => true,
            'show_in_menu' => true,
            'query_var' => true,
            'rewrite' => true,
            'capability_type' => 'post',
            'has_archive' => true,
            'hierarchical' => false,
            'menu_position' => null,
            'supports' => array('title',
                'editor',
                'author',
                'thumbnail',
                'excerpt',
                'custom-fields',
                'comments'
            )
        );
     
            register_post_type( 'review', $args );
    }
    function post_type_labels_seven( $singular, $plural = '' )
    {
        if( $plural == '') $plural = $singular .'s';
       
        return array(
            'name' => _x( $plural, 'post type general name' ),
            'singular_name' => _x( $singular, 'post type singular name' ),
            'add_new' => __( 'Add New' ),
            'add_new_item' => __( 'Add New '. $singular ),
            'edit_item' => __( 'Edit '. $singular ),
            'new_item' => __( 'New '. $singular ),
            'view_item' => __( 'View '. $singular ),
            'search_items' => __( 'Search '. $plural ),
            'not_found' =>  __( 'No '. $plural .' found' ),
            'not_found_in_trash' => __( 'No '. $plural .' found in Trash' ),
            'parent_item_colon' => ''
        );
    }
    add_filter('post_updated_messages', 'post_type_updated_messages');
    function post_type_updated_messages_seven( $messages ) {
            global $post, $post_ID;
     
            $messages['review'] = array(
                    0 => '', // Unused. Messages start at index 1.
                    1 => sprintf( __('Menu Item updated. <a href="%s">View menu item/a>'), esc_url( get_permalink($post_ID) ) ),
                    2 => __('Custom field updated.'),
                    3 => __('Custom field deleted.'),
                    4 => __('Menu item updated.'),
                    /* translators: %s: date and time of the revision */
                    5 => isset($_GET['revision']) ? sprintf( __('Menu item restored to revision from %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
                    6 => sprintf( __('Menu item published. <a href="%s">View menu item</a>'), esc_url( get_permalink($post_ID) ) ),
                    7 => __('Menu item saved.'),
                    8 => sprintf( __('Menu item submitted. <a target="_blank" href="%s">Preview menu item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
                    9 => sprintf( __('Menu item scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview menu item</a>'),
                    // translators: Publish box date format, see php.net/date
                    date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
                    10 => sprintf( __('Menu item draft updated. <a target="_blank" href="%s">Preview menu item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
            );
     
            return $messages;
    }
?>
<?php
//Social Media Hooks
function my_customizer_social_media_array() {
 
// store social site names in array
$social_sites = array('twitter', 'facebook', 'google-plus', 'flickr', 'pinterest', 'youtube', 'vimeo', 'tumblr', 'dribbble', 'rss', 'linkedin', 'instagram');
 
return $social_sites;
}
//Theme Customizer Section
function restaurante_theme_customizer( $wp_customize ) {
/*--Add Logo--*/
    $wp_customize->add_section( 'restaurante_logo_section' , array(
    'title'       => __( 'Logo', 'restaurante' ),
    'priority'    => 30,
    'description' => 'Upload a logo to replace the default site name and description in the header',
) );
    $wp_customize->add_setting( 'restaurante_logo' );
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'restaurante_logo', array(
    'label'    => __( 'Logo', 'restaurante' ),
    'section'  => 'restaurante_logo_section',
    'settings' => 'restaurante_logo',
) ) );
/*--Add Colors--*/
    $wp_customize->add_section( 'restaurante_color_section' , array(
    'title'       => __( 'Colors', 'restaurante' ),
    'priority'    => 31,
    'description' => 'Modify theme colors',
) );
    $wp_customize->add_setting( 'restaurante_background_color', array(
		'default' =>'#CDCDCD',
	) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'restaurante_background_color', array(
	'default' => '#CDCDCD',
    'label'    => __( 'Edit Background Color', 'restaurante' ),
    'section'  => 'restaurante_color_section',
    'settings' => 'restaurante_background_color',
) ) );
    $wp_customize->add_setting( 'restaurante_header_color', array(
		'default' =>'#111111',
	) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'restaurante_header_color', array(
	'default' => '#111111',
    'label'    => __( 'Edit Header Color', 'restaurante' ),
    'section'  => 'restaurante_color_section',
    'settings' => 'restaurante_header_color',
) ) );
    $wp_customize->add_setting( 'restaurante_caption_color', array(
		'default' =>'#ffffff',
	) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'restaurante_caption_color', array(
	'default' => '#ffffff',
    'label'    => __( 'Edit Caption Color', 'restaurante' ),
    'section'  => 'restaurante_color_section',
    'settings' => 'restaurante_caption_color',
) ) );
    $wp_customize->add_setting( 'restaurante_text_color', array(
		'default' =>'#111111',
	) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'restaurante_text_color', array(
	'default' => '#111111',
    'label'    => __( 'Edit Text Color', 'restaurante' ),
    'section'  => 'restaurante_color_section',
    'settings' => 'restaurante_text_color',
) ) );
    $wp_customize->add_setting( 'restaurante_link_color', array(
		'default' =>'#3f3f3f',
	) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'restaurante_link_color', array(
	'default' => '#3f3f3f',
    'label'    => __( 'Edit Link Color', 'restaurante' ),
    'section'  => 'restaurante_color_section',
    'settings' => 'restaurante_link_color',
) ) );
    $wp_customize->add_setting( 'restaurante_linkhover_color', array(
		'default' =>'#8c8c8c',
	) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'restaurante_linkhover_color', array(
	'default' => '#8c8c8c',
    'label'    => __( 'Edit Hover Color', 'restaurante' ),
    'section'  => 'restaurante_color_section',
    'settings' => 'restaurante_linkhover_color',
) ) );
    $wp_customize->add_setting( 'restaurante_footer_color', array(
		'default' =>'#fff',
	) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'restaurante_footer_color', array(
	'default' => '#fff',
    'label'    => __( 'Edit Footer Text Color', 'restaurante' ),
    'section'  => 'restaurante_color_section',
    'settings' => 'restaurante_footer_color',
) ) );
//Social Media Customizer
	$wp_customize->add_section( 'my_social_settings', array(
	'title'          => 'Social Media Icons',
	'priority'       => 35,
	) );
	 
	$social_sites = my_customizer_social_media_array();
	$priority = 5;
	 
	foreach($social_sites as $social_site) {
	 
	$wp_customize->add_setting( "$social_site", array(
	'type'        => 'theme_mod',
	'capability'        => 'edit_theme_options',
	'sanitize_callback'        => 'esc_url_raw'
	) );
	 
	$wp_customize->add_control( $social_site, array(
	'label'   => __( "$social_site url:", 'social_icon' ),
	'section' => 'my_social_settings',
	'type'    => 'text',
	'priority'=> $priority,
	) );
	 
	$priority = $priority + 5;
	}
}
	
function restaurante_css_customize(){
	?>
	<style type="text/css">
		p, pre, ul, ol, dl, dd, blockquote, address, table, fieldset, form {color: <?php echo get_theme_mod('restaurante_text_color'); ?>;}
		h1, h2, h3, h4, h5, h6, #site-title a{color: <?php echo get_theme_mod('restaurante_header_color');?>;}
		body{background-color: <?php echo get_theme_mod('restaurante_background_color'); ?>;}
		div#bottom-line a{color: <?php echo get_theme_mod('restaurante_footer_color'); ?>;}
		div#logo-section{background-color: <?php echo get_theme_mod('restaurante_background_color'); ?>;}
		#container p a, #container li a, article header h4 a{color:<?php echo get_theme_mod('restaurante_link_color'); ?>;}
		#container p a:hover, #container li a:hover, article header h4 a:hover{color:<?php echo get_theme_mod('restaurante_linkhover_color'); ?>;}
		.nivo-caption p{color:<?php echo get_theme_mod('restaurante_caption_color'); ?>;}
	</style>
	<?php
	}
add_action('wp_head', 'restaurante_css_customize');
add_action('customize_register', 'restaurante_theme_customizer');
// Function to Call Social Media Icons
// takes user input from the customizer and outputs linked social media icons
function my_social_media_icons() {
 
    $social_sites = my_customizer_social_media_array();
 
    // any inputs that aren't empty are stored in $active_sites array
    foreach($social_sites as $social_site) {
        if( strlen( get_theme_mod( $social_site ) ) > 0 ) {
            $active_sites[] = $social_site;
        }
    }
 
    // for each active social site, add it as a list item
    if(!empty($active_sites)) {
        echo "<div class='textwidget'><ul class='social' id='footer'>";
foreach ($active_sites as $active_site) {?>
<li>
<a target="_blank" href="<?php echo get_theme_mod( $active_site ); ?>">
<?php if( $active_site == "vimeo") { ?>
<i class="fa fa-<?php echo $active_site; ?>-square"></i> <?php
} else { ?>
<i class="fa fa-<?php echo $active_site; ?>"></i><?php
} ?>
</a>
</li><?php
}
echo "</ul></div>";
}
}
?>